---
inputType: CA10__CaAwsInstance__c
testData:
  - file: test-data.json
conditions:
  - status: COMPLIANT
    currentStateMessage: Word-1
    check:
      UNIT_TEST:
        id: Word-1
        arg:
          NOT:
            arg:
              ENDS_WITH:
                arg:
                  TEXT: "abcklmxyz"
                suffix:
                  TEXT: "abc"
  - status: COMPLIANT
    currentStateMessage: Word-2
    check:
      UNIT_TEST:
        id: Word-2
        arg:
          NOT:
            arg:
              ENDS_WITH:
                arg:
                  TEXT: "abcklmxyz"
                suffix:
                  TEXT: "klm"
  - status: COMPLIANT
    currentStateMessage: Word-3
    check:
      UNIT_TEST:
        id: Word-3
        arg:
          ENDS_WITH:
            arg:
              TEXT: "abcklmxyz"
            suffix:
              TEXT: "xyz"
  - status: COMPLIANT
    currentStateMessage: Word-4
    check:
      UNIT_TEST:
        id: Word-4
        arg:
          NOT:
            arg:
              ENDS_WITH:
                arg:
                  TEXT: "abcklmxyz"
                suffix:
                  TEXT: "123"
  - status: COMPLIANT
    currentStateMessage: Multiple-1
    check:
      UNIT_TEST:
        id: Multiple-1
        arg:
          NOT:
            arg:
              ENDS_WITH:
                arg:
                  TEXT: "abc klm xyz"
                suffix:
                  TEXT: "abc"
  - status: COMPLIANT
    currentStateMessage: Multiple-2
    check:
      UNIT_TEST:
        id: Multiple-2
        arg:
          NOT:
            arg:
              ENDS_WITH:
                arg:
                  TEXT: "abc klm xyz"
                suffix:
                  TEXT: "klm"
  - status: COMPLIANT
    currentStateMessage: Multiple-3
    check:
      UNIT_TEST:
        id: Multiple-3
        arg:
          ENDS_WITH:
            arg:
              TEXT: "abc klm xyz"
            suffix:
              TEXT: "xyz"
  - status: COMPLIANT
    currentStateMessage: Multiple-4
    check:
      UNIT_TEST:
        id: Multiple-4
        arg:
          NOT:
            arg:
              ENDS_WITH:
                arg:
                  TEXT: "abc klm xyz"
                suffix:
                  TEXT: "123"
  - status: COMPLIANT
    currentStateMessage: Whitespace-1
    check:
      UNIT_TEST:
        id: Whitespace-1
        arg:
          ENDS_WITH:
            arg:
              TEXT: " aa   bb  cc "
            suffix:
              TEXT: "bb cc"
  - status: COMPLIANT
    currentStateMessage: Whitespace-2
    check:
      UNIT_TEST:
        id: Whitespace-2
        arg:
          ENDS_WITH:
            arg:
              TEXT: "aa bb cc"
            suffix:
              TEXT: "  bb    cc "
  - status: COMPLIANT
    currentStateMessage: Whitespace-3
    check:
      UNIT_TEST:
        id: Whitespace-3
        arg:
          ENDS_WITH:
            arg:
              TEXT: ""
            suffix:
              TEXT: "\n\r\t"
  - status: COMPLIANT
    currentStateMessage: Whitespace-4
    check:
      UNIT_TEST:
        id: Whitespace-4
        arg:
          ENDS_WITH:
            arg:
              TEXT: "a b c"
            suffix:
              TEXT: "  a\n b \r c \t"
  - status: COMPLIANT
    currentStateMessage: Case-1
    check:
      UNIT_TEST:
        id: Case-1
        arg:
          ENDS_WITH:
            arg:
              TEXT: "ABC KLM XYZ"
            suffix:
              TEXT: "xyz"
  - status: COMPLIANT
    currentStateMessage: Null-1
    check:
      UNIT_TEST:
        id: Null-1
        arg:
          ENDS_WITH:
            arg:
              UNIT_TEST_NULL:
                returnType: TEXT
            suffix:
              UNIT_TEST_NULL:
                returnType: TEXT
  - status: COMPLIANT
    currentStateMessage: Null-2
    check:
      UNIT_TEST:
        id: Null-2
        arg:
          ENDS_WITH:
            arg:
              TEXT: ""
            suffix:
              UNIT_TEST_NULL:
                returnType: TEXT
  - status: COMPLIANT
    currentStateMessage: Null-3
    check:
      UNIT_TEST:
        id: Null-3
        arg:
          ENDS_WITH:
            arg:
              TEXT: "abc"
            suffix:
              UNIT_TEST_NULL:
                returnType: TEXT
  - status: COMPLIANT
    currentStateMessage: Null-4
    check:
      UNIT_TEST:
        id: Null-4
        arg:
          ENDS_WITH:
            arg:
              UNIT_TEST_NULL:
                returnType: TEXT
            suffix:
              TEXT: ""
  - status: COMPLIANT
    currentStateMessage: Null-5
    check:
      UNIT_TEST:
        id: Null-5
        arg:
          NOT:
            arg:
              ENDS_WITH:
                arg:
                  UNIT_TEST_NULL:
                    returnType: TEXT
                suffix:
                  TEXT: "abc"
otherwise:
  status: INCOMPLIANT
  currentStateMessage: Test Failed
  remediationMessage: Developer Fix Required